# ExtraFieldAnswer

### Fields

#### extraFieldId ([ID](/graphql-api/api-reference/objects/id.md)!)

ID to identify the associated extra field

#### fieldType ([String](/graphql-api/api-reference/objects/string.md)!)

Possible types: single\_line, multi\_line, date, single\_select

#### id ([ID](/graphql-api/api-reference/objects/id.md))

ID to identify the extra field answer with

#### name ([String](/graphql-api/api-reference/objects/string.md)!)

Name of the extra field

#### position ([Int](/graphql-api/api-reference/objects/int.md))

The extra fields should be ordered by this field

#### required ([Boolean](/graphql-api/api-reference/objects/boolean.md)!)

Field is required to be filled

#### selectOptions (\[[String](/graphql-api/api-reference/objects/string.md)!])

Possible options when fieldType is dropdown

#### subscription ([Subscription](/graphql-api/api-reference/objects/subscription.md)!)

#### value ([String](/graphql-api/api-reference/objects/string.md))

#### visibility ([String](/graphql-api/api-reference/objects/string.md)!)

Enum with public or internal.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.firmhouse.com/graphql-api/api-reference/objects/extra-field-answer.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
